Subject: Re: [alto] Protocol issue: map-vtag length

From: Richard Alimi <[email-masked]>
Date: Mon, 24 Oct 2011 09:49:04 -0700

Hi All,

We're preparing an update to the document in these next few days and I
wanted to double-check if there were any oppositions to the following:

(1) map-vtags: any US-ASCII character within 0x21 and 0x7E inclusive
(before encoding according to JSON, of course)
(2) PID names: any US-ASCII character within 0x21 and 0x7E inclusive,
except for '.' (before encoding according to JSON, of course)
(3) map-vtags have a max length of 64 characters (to be the same as PID names).

These were discussed a bit in the thread titled "map-vtag format
rules" started by Bill Roome.  Note that in that thread, I suggested a
lower bound of 0x20, but my fear was that this would be confusing when
doing visual inspection for equivalence (or if someone were to trim
spaces from either end for display purposes, etc).  Hence I'm
suggesting a lower bound 0x21 instead.

Thanks,
Rich

On Fri, Aug 26, 2011 at 10:58 PM, Enrico Marocco
<[email-masked]> wrote:
> Server implementations seen at the interoperability event have shown a
> broad variety of formats for the 'map-vtag' field, with lengths varying
> from 1 char to tens of chars. It has been pointed out that some explicit
> indication in the specs about the length and perhaps the format of the
> field could lead to a more homogeneous use of it.
>
> Possible options (please express and possibly motivate your preference):
>
>  1. leave the format and length unspecified, possibly allowing
>     implementations to override its semantics (e.g. piggybacking
>     additional/proprietary information);
>
>  2. define an upper limit to the length of the field, but leave format
>     unspecified;
>
>  3. other.
>
> --
> Ciao,
> Enrico
>
>
>
> _______________________________________________
> alto mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/alto
>
>